Bug 62526 - Bash doesn't work with make
Bash doesn't work with make
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-01 22:47 EST by hjl
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 22:48:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A Makefile to show the bash bug (113 bytes, text/plain)
2002-04-01 22:48 EST, hjl
no flags Details

  None (edit)
Description hjl 2002-04-01 22:47:57 EST
# make
if [ -n "" ]; then \
  for r in ; do \
    echo $r; \
  done; \
fi
/tmp/bash: -c: line 1: syntax error near unexpected token `;'
/tmp/bash: -c: line 1: `if [ -n "" ]; then  for r in ; do  echo $r;  done;  fi'
make: *** [all] Error 2

Bash in RedHat 7.1 and the current public beta are ok.
Comment 1 hjl 2002-04-01 22:48:38 EST
Created attachment 51744 [details]
A Makefile to show the bash bug
Comment 2 Bernhard Rosenkraenzer 2002-04-02 05:42:05 EST
This is because  
  
for i in ; do something; done  
        ^nothing  
  
isn't part of older standards. 
Support for this construct has been added in 2.05. 
Comment 3 hjl 2002-04-02 11:49:00 EST
It is a regression from RedHat 7.1. The build stops working
after upgrading to RedHat 7.2.

Note You need to log in before you can comment on or make changes to this bug.